#version 120

#define PI 3.141592653589793238462643383279

varying vec4 swVertex;
uniform float swShadeX;
uniform float swShadeY;
uniform float swShadeW;
uniform float swShadeH;
uniform float swShadeWindowW;
uniform float swShadeWindowH;
uniform float swShadeR;
uniform float swShadeG;
uniform float swShadeB;
uniform float swShadeAmin;
uniform float swShadeAmax;

void main() {

	//float gradX = ((swVertex.x - swShadeX) / swShadeW);
	float gradY = ((swVertex.y - swShadeY) / swShadeH);
	
	//float rg = 0.8 - pow(gradY, 2.0) * 0.15;
	//gl_FragColor = vec4(rg, rg, 0.8125, 1.0);
	float rg = 0.8 - pow(gradY, 1.0) * 0.1;
	//float alpha = 0.2 + pow(gradY, 2.0) * 0.65;
	//gl_FragColor = vec4(0.7, 0.7, 0.8125, alpha);
	
	float alpha = mix(swShadeAmin, swShadeAmax, pow(gradY, 2.0));
	gl_FragColor = vec4(swShadeR * rg, swShadeG * rg, swShadeB * 0.8125, alpha);
	
	/* float gradient = pow(sin(gradY * PI) * pow(sin(gradX * PI), 0.4), 0.25);
	float rg = 0.3 + gradient * 0.5;
	gl_FragColor = vec4(rg, rg, 0.8125, 1.0); */
	
	/* float blue = 0.80 + 0.065 * gradY;
	//float blue = 0.41 + 0.49 * gradY;
	gl_FragColor = vec4(0.8125, 0.8125, blue, 1.0); */
	
	//int iY = int(swVertex.y);
	//float bonus = 1.0 - (0.25 * step(iY % 8, 0.4));
	//gl_FragColor = vec4(0.8125 * bonus, 0.8125 * bonus, blue * bonus, 1.0);
	
}
