#!/bin/bash

# change working directory to where this file is (makes setting up java much easier)
cd "$( dirname "${BASH_SOURCE[0]}" )"

# get rid of forced vsync
export vblank_mode=0

if [ -f jre/bin/java ];
then
   export PATH=./jre/bin:$PATH
   export JAVA_HOME=./jre
fi

# start the game
java -Xmx512M -Xms512M -Djava.library.path=. -Dsun.java2d.noddraw=true -Dsun.awt.noerasebackground=true -Dsun.java2d.d3d=false -Dsun.java2d.opengl=false -Dsun.java2d.pmoffscreen=false -Dcom.sun.media.imageio.disableCodecLibs=true -Dfile.encoding=UTF-8 -Dlog4j.configuration=log4j.properties -jar solarwar.jar $@
